<?php

namespace App\Database\Migrations;

use CodeIgniter\Database\Migration;

class CreateStudentParentsTable extends Migration
{
    public function up()
    {
        $this->forge->addField([
            'id' => [
                'type'           => 'INT',
                'constraint'     => 11,
                'unsigned'       => true,
                'auto_increment' => true,
            ],
            'student_id' => [
                'type'       => 'INT',
                'constraint' => 11,
                'unsigned'   => true,
            ],
            'parent_id' => [
                'type'       => 'INT',
                'constraint' => 11,
                'unsigned'   => true,
            ],
            'relationship' => [
                'type'       => 'ENUM',
                'constraint' => ['AYAH', 'IBU', 'WALI'],
            ],
            'created_at' => [
                'type' => 'DATETIME',
                'null' => true,
            ],
            'updated_at' => [
                'type' => 'DATETIME',
                'null' => true,
            ],
        ]);

        $this->forge->addKey('id', true);
        $this->forge->addKey(['student_id', 'parent_id']);
        $this->forge->addForeignKey('student_id', 'students', 'id', 'CASCADE', 'CASCADE');
        $this->forge->addForeignKey('parent_id', 'parents', 'id', 'CASCADE', 'CASCADE');
        $this->forge->createTable('student_parents');
    }

    public function down()
    {
        $this->forge->dropTable('student_parents');
    }
}
